Skip to main content
PUT
/
v2
/
projects
/
{project_id}
/
log_streams
/
{log_stream_id}
/
trends
/
sections
/
{section_id}
Update Section
curl --request PUT \
  --url https://api.galileo.ai/v2/projects/{project_id}/log_streams/{log_stream_id}/trends/sections/{section_id} \
  --header 'Content-Type: application/json' \
  --header 'Galileo-API-Key: <api-key>' \
  --data '
{
  "name": "<string>",
  "description": "<string>"
}
'
{
  "id": "<string>",
  "name": "<string>",
  "description": "<string>",
  "widgets": [
    {
      "id": "<string>",
      "name": "<string>",
      "type": "bar_chart",
      "metric": "<string>",
      "aggregation": "Count",
      "description": "<string>",
      "dataset": [
        {}
      ],
      "section_id": "<string>"
    }
  ]
}

Authorizations

Galileo-API-Key
string
header
required

Path Parameters

section_id
string<uuid4>
required
project_id
string<uuid4>
required
log_stream_id
string<uuid4>
required

Body

application/json
name
string | null
Required string length: 1 - 100
description
string | null
Maximum string length: 500

Response

Successful Response

id
string<uuid4>
required
name
string
required
description
string | null
widgets
WidgetResponse · object[]
Maximum array length: 50